3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php try { $x = 'foo'; throw Exception(); } catch (Exception $e) { var_dump($x); }
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught Error: Call to undefined function Exception() in /in/5Oism:4 Stack trace: #0 {main} thrown in /in/5Oism on line 4
Process exited with code 255.
Output for 5.0.0 - 5.6.28
Fatal error: Call to undefined function Exception() in /in/5Oism on line 4
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/5Oism on line 2
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/5Oism on line 2
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/5Oism on line 2
Process exited with code 255.